///home/berryj/link/bin/genMethods "-g" "-t" "char*" "-h" "Container" "-I" "LINK/basic/Container.h" "-d" "basic" 
#include <stk.h>
#include <LINK/stkWrapper/LINK_STk.h>

#include <LINK/basic/Container.h>

#include <LINK/stkWrapper/Wrapper.h>
#include <LINK/stkWrapper/Register.h>


typedef char* _char_;
typedef Container<char* > _Container_char__;

#define _Container_char__DATA(x) ((Container<char* >*) (EXTDATA(x)))
#define _Container_char__IS_DATA(x) (TYPEP(x, tc_CXXwrapper) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<Container<char* > >::type))
#define _Container_char__ISNT_DATA(x) (!_Container_char__IS_DATA(x))

#define _Container_char__CXX_DATA(x) (*(Container<char* >*) (EXTDATA(VAL(x))))
#define _Container_char__CXX_IS_DATA(x) (INSTANCEP(x) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<Container<char* > >::type))
#define _Container_char__CXX_ISNT_DATA(x) (!_Container_char__CXX_IS_DATA(x))


PRIMITIVE STk_init__Container_char__()
{
	Wrapper<_Container_char__>::type = STk_new_CXXwrapper_id(
			Wrapper<_Container_char__>::name, 
			"",
			(void (*)(SCM x, SCM port, int mode))0,
			(void (*)(SCM x))0,
			(void (*)(SCM x))0);
	Tcl_InitHashTable(&Register<_Container_char__>::objTable, TCL_ONE_WORD_KEYS);
	return UNDEFINED;
}

void genExtra_Container_char__Methods(void);

PRIMITIVE STk_init_methods__Container_char__()
{
	genExtra_Container_char__Methods();
	return UNDEFINED;
}
